BaroclineBarocline
BeaconBeacon Hurricane

getActiveHurricanes

Returns summary data for hurricanes.

GET
/api/v3/beacon/hurricane/active

Provides summary data for all hurricanes and tropical storms active at the specified forecast time.

Query Parameters

initialTime*string

The forecast time in GMT timezone using format YYYMMDDHH (e.g. 2022060103) where HH is hour in increments of 3 (e.g. 00, 03, 06, etc) or keyword 'latest'.

Default"latest"
userKey*string

User authorization key.

Response Body

application/json

curl -X GET "https://beacon.atheniumanalytics.com/api/v3/beacon/hurricane/active?initialTime=latest&userKey=string"
[
  {
    "atcfid": "string",
    "organizationId": "string",
    "stormName": "string",
    "stormNumberBasin": "string",
    "stormBasin": "string",
    "timestamp": "string",
    "lat": 0.1,
    "lon": 0.1,
    "minPressure": 0.1,
    "maxWindSpeed": 0.1,
    "stormType": "string",
    "stormDirection": "string",
    "stormSpeed": 0.1,
    "stormCategory": 0.1
  }
]
Empty